## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate isal-rs
%global crate_version 0.5.3+496255c

Name:           rust-isal-rs
Version:        0.5.3
Release:        %autorelease
Summary:        Isa-l Rust bindings

License:        BSD-3-Clause
URL:            https://crates.io/crates/isal-rs
Source:         %{crates_source %{crate} %{crate_version}}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          isal-rs-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * Remove the static feature, and replace it with shared in the default
#   features
Patch:          isal-rs-fix-metadata.diff

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
# Additionally, the isa-l package is ExcludeArch: %%{ix86}.
ExcludeArch:    %{ix86}

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  tomcli

%global _description %{expand:
Isa-l Rust bindings.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+shared-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+shared-devel %{_description}

This package contains library source intended for building other packages which
use the "shared" feature of the "%{crate}" crate.

%files       -n %{name}+shared-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use-system-isal-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use-system-isal-devel %{_description}

This package contains library source intended for building other packages which
use the "use-system-isal" feature of the "%{crate}" crate.

%files       -n %{name}+use-system-isal-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{crate_version} -p1
%cargo_prep
# Do not depend on criterion; it is needed only for benchmarks.
tomcli set Cargo.toml del dev-dependencies.criterion

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * Regressions in test suite with isa-l 2.31.1 in Fedora:
#   https://github.com/milesgranger/isal-rs/issues/31
%{cargo_test -- -- %{shrink:
    --skip tests::deflate::level_zero::empty_data::read::flate2_zlib_compat_decompress
    --skip tests::deflate::level_zero::empty_data::write::flate2_zlib_compat_decompress
    --skip tests::gzip::level_zero::empty_data::read::flate2_zlib_compat_decompress
    --skip tests::gzip::level_zero::empty_data::write::flate2_zlib_compat_decompress
    --skip tests::zlib::level_zero::empty_data::flate2_zlib_compat_decompress_into
}}
%endif

%changelog
## START: Generated by rpmautospec
* Wed Jan 15 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.3-3
- Skip tests that fail with isa-l 2.31.1

* Sun Dec 08 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.3-2
- Re-generate the spec file with rust2rpm 27

* Sun Dec 08 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.3-1
- Initial package (close RHBZ#2319247)
## END: Generated by rpmautospec
